int aspam_scan(Wordlist **rules, char *fname, int isbad, char *reason, double *ret, Wordlist **result);
int aspam_words_show(void);
int aspam_doword(int x);
int aspam_init(char *fname, char *rfile, char *reason);
int aspam_donone(void);
int aspam_setexip(char *s);
int poly_set_disable(int x);
int con_reset(void);
int con_scan(char *word, int at);
int con_load(void);
int con_exit(void);
int con_scan_message(char *bin, int len);
int con_score(double *val, char *reason);
int aspam_notascii(char *charset);
int aspam_nakedcr(void);
int surbl_remember(char *url);
int surbl_reset(void);
Wordlist *surbl_get(void);
int aspam_isforgery(char *ch);
int aspam_need_exip(int x);
double aspam_poly_score_v(double v);
int phrase_score(char *bf);
int phrase_scan_message(char *bin, int len);

int aspam_content_score(char *xbin, int len, char *h1, char *h2);

int wrule_find_match(char *word);
int wrule_find_non(char *word);
int wrule_find_from(char *word);
int wrule_find_url(char *word);
int aspam_doscan(int x);
int aspam_scan_addif(Wordlist **rules, char *fname, int isbad, char *reason, double *score, Wordlist **result, char *rfname, int force);
int aspam_doif(int x);
int aspam_show(int x);
int aspam_rules_load(char *rfile);
int aspam_added(void);
int aspam_free(void);
int aspam_dump(char *fname);
int aspam_setmem(char *mem, int len);
double aspam_bscore(void);
int poly_scan(Chan *c, char *fname, int isbad, double *ret_score, int istrain);
double aspam_poly_score(void);
int poly_write(void);
int poly_reset(void);
int aspam_url_scale(double x);
void poly_exit(void);
